=== debian/changelog ===
mshr (2018.1.0+dfsg1-7) unstable; urgency=medium

  * Debian patch fix_mesh3_internal.patch updates namespace for
    Mesh_3::internal::C3t3_initializer (CGAL 4.13). Closes: #911814.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Oct 2018 11:45:58 +0800

mshr (2018.1.0+dfsg1-6) unstable; urgency=medium

  * apply strict versioned depends on pybind11,
    python3-mshr Depends: pybind11 (>= 2.2.4), pybind11 (<= 2.2.5)

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Sep 2018 04:04:24 +0800

mshr (2018.1.0+dfsg1-5) unstable; urgency=medium

  * strip -g from dpkg-buildflags to reduce memory requirements of the
    build (needed to build on Debian 32 bit and on ubuntu)
  * Standards-Version: 4.2.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Sep 2018 21:25:48 +0800

mshr (2018.1.0+dfsg1-4) unstable; urgency=medium

  * fix debian/tests: demos are now provided by python3-mshr

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Aug 2018 22:42:56 +0800

mshr (2018.1.0+dfsg1-3) unstable; urgency=medium

  * run autopkgtest on demos from mshr-demos package
    - install demos in /usr/share/doc/mshr-demos/examples
  * mark libmshr2018.1 as Multi-Arch: same
  * drop mshr-demos (FTBFS on i386 interferes with package migration)
    and install demos with python3-mshr.

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Aug 2018 02:47:12 +0800

mshr (2018.1.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable. Closes: #905369.
  * Standards-Version: 4.2.0
  * Build-Depends: python3-setuptools
  * Add debian/tests (autopkgtest)
    - debian patch test_controls.diff provides test.py scripts

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Aug 2018 13:31:48 +0800

mshr (2018.1.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - debian patches applied upstream:
      cgal_4.12.patch
      tetgen_define_TETLIBRARY.patch
      use_system_cgal_tetgen.patch
    - removes python2 support (python-mshr is dropped)
    - uses pybind11 instead of swig
  * debian patch cmake_config_in_lib.patch places cmake config files
    in lib not share, since MSHR_LIBRARIES_DIRS is arch-specific.
  * apply dpkg-buildflags CXXFLAGS to cmake build (for hardening and
    debug symbols)
  * remove CGAL and tetgen licences from debian/copyright (these
    3rdParty sources have been removed from the source tarball)
  * Standards-Version: 4.1.5
  * Build-Depends: python3-all-dev (i.e. add python3.7 support)

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Jul 2018 13:07:08 +0800

mshr (2017.2.0+dfsg1-1) unstable; urgency=medium

  * Upload mshr without embedded CGAL and tetgen code. Closes: #824716.
  * debian/copyright Files-Excluded: 3rdparty/CGAL 3rdparty/tetgen1.5.0
    CGAL and tetgen are provided by their own packages, so exclude
    them from mshr to save space.
  * Debian patch cgal_4.12.patch builds against CGAL 4.12.
  * Build against system CGAL and tetgen.
    Thanks Johannes Ring (upstream branch
    johannr/optional-use-system-packages, applied as Debian patch
    use_system_cgal_tetgen.patch)
    - Build-Depends: libcgal-dev (>= 4.12), libtet1.5-dev.
    - debian patch tetgen_define_TETLIBRARY.patch ensures tetgen
      library API is used (defines TETLIBRARY)
  * Build-Depends: cmake (>= 3.5)
  * Standards-Version: 4.1.4
  * Debian patch demos_update.patch keeps extrude demo running

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 May 2018 03:10:08 +0800

mshr (2017.2.0-1) UNRELEASED; urgency=medium

  * Team upload.
  * New upstream version.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Jan 2018 16:59:08 +0800

mshr (2017.1.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.2
  * Provide python3 support in python3-mshr

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Dec 2017 14:56:09 +0800

mshr (2017.1.0-1) UNRELEASED; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * New upstream release.
    - Move debian/libmshr2016.2.install > debian/libmshr2017.1.install.
    - Update package name for new SONAME 2017.1 (libmshr2016.2 ->
      libmshr2017.1).
    - Bump minimum required version of libdolfin-dev, python-ffc,
      python-dolfin and dolfin-bin from 2016.2.0 to 2017.1.0.

  [ Drew Parsons ]
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Johannes Ring <johannr@simula.no>  Thu, 11 May 2017 13:04:50 +0200

mshr (2016.2.0-1) UNRELEASED; urgency=medium

  * New upstream release.
    - Move debian/libmshr2016.1.install > debian/libmshr2016.2.install.
    - Update package name for new SONAME 2016.2 (libmshr2016.1 ->
      libmshr2016.2).
    - Bump minimum required version of libdolfin-dev, python-ffc,
      python-dolfin and dolfin-bin from 2016.1.0 to 2016.2.0.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Dec 2016 15:22:32 +0100

mshr (2016.1.0-2) UNRELEASED; urgency=medium

  * New upstream release.
  * debian/control:
    - Update package name for new SONAME 2016.1 (libmshr1.6 ->
      libmshr2016.1).
    - Bump minimum required version of libdolfin-dev, python-ffc,
      python-dolfin and dolfin-bin from 1.6.0 to 2016.1.0.
    - Add libproj-dev to Build-Depends and to Depends for binary package
      libmshr-dev.
  * Move debian/libmshr1.6.install -> debian/libmshr2016.1.install.
  * Remove patch (fixed upstream).
  * debian/rules: Add -fpermissive to CXX flags.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Dec 2016 15:20:19 +0100

mshr (1.6.0-1) unstable; urgency=low

  [ Johannes Ring ]
  * Initial release (Closes: #824716)

  [ Drew Parsons ]
  * Team upload.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 May 2016 08:23:26 +0800
