=== debian/control ===
Source: mshr
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 11),
 python3-all-dev,
 dh-python,
 python3-setuptools,
 cmake (>= 3.5),
 python3-pybind11 (>= 2.2.2),
 libmpfr-dev,
 libgmp-dev,
 libcgal-dev (>= 4.13),
 libtet1.5-dev,
 libdolfin-dev (>= 2018.1),
 python3-ffc (>= 2018.1),
 python3-numpy,
 python3-petsc4py,
 python3-slepc4py,
 libproj-dev
Standards-Version: 4.2.1
X-Python3-Version: >= 3.5
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/mshr.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/mshr

Package: libmshr2018.1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries for mshr
 mshr generates simplicial DOLFIN meshes in 2D and 3D from geometries
 described by Constructive Solid Geometry (CSG) or from surface files,
 utilizing CGAL and Tetgen as mesh generation backends.
 .
 This package contains the shared libraries.

Package: libmshr-dev
Section: libdevel
Architecture: any
Depends: libmshr2018.1 (= ${binary:Version}),
 libdolfin-dev (>= ${fenics:Upstream-Version}),
 python3-ffc (>= ${fenics:Upstream-Version}),
 cmake (>= 2.8.0),
 libproj-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Shared links and header files for mshr
 mshr generates simplicial DOLFIN meshes in 2D and 3D from geometries
 described by Constructive Solid Geometry (CSG) or from surface files,
 utilizing CGAL and Tetgen as mesh generation backends.
 .
 This package contains the development files.

Package: python3-mshr
Section: python
Architecture: any
Depends: libmshr-dev (= ${binary:Version}),
 libmshr2018.1 (= ${binary:Version}),
 python3-dolfin (>= ${fenics:Upstream-Version}),
 dolfin-bin (>= ${fenics:Upstream-Version}),
 python3-pybind11 (>= ${pybind11:Upstream-Version}), python3-pybind11 (<< ${pybind11:Next-Upstream-Version}),
 ${python3:Depends},
 ${shlibs:Depends}, 
 ${misc:Depends}
Description: Python 3 interface for mshr
 mshr generates simplicial DOLFIN meshes in 2D and 3D from geometries
 described by Constructive Solid Geometry (CSG) or from surface files,
 utilizing CGAL and Tetgen as mesh generation backends.
 .
 This package contains the Python 3 interface for mshr, and examples
 and demo programs.
