=== debian/tests/control ===
Tests: test-mshr-python
Depends: python3-mshr,
	  python3-pytest
