## mshr 2019.1.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 project( MSHR )
 set(MSHR_VERSION_RELEASE 1)
-set(MSHR_VERSION_MAJOR "2018")
+set(MSHR_VERSION_MAJOR "2019")
 set(MSHR_VERSION_MINOR "1")
 set(MSHR_VERSION_MICRO "0")
 set(MSHR_VERSION "${MSHR_VERSION_MAJOR}.${MSHR_VERSION_MINOR}.${MSHR_VERSION_MICRO}")
