=== debian/changelog ===
mshr (2019.1.0+dfsg1-7build3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:22:32 +0100

mshr (2019.1.0+dfsg1-7build2) focal; urgency=medium

  * No change rebuild against new boost1.71 on armhf ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 17:03:21 +0000

mshr (2019.1.0+dfsg1-7build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:20:48 +0100

mshr (2019.1.0+dfsg1-7) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * add debian patches:
    - enable_CGAL5_CXX14.patch enables build with CGAL 5
      and builds with C++14 since std::enable_if is required by CGAL 5
    - build_CGAL5.patch updates to CGAL 5 API
    - pybind11_register.patch registers CSGCGALDomain3D::num_holes for
      python module, enabling test-fuzzypointmap.py to pass
      (update test_controls.patch)

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Feb 2020 17:14:19 +0800

mshr (2019.1.0+dfsg1-6) unstable; urgency=medium

  * stop building mips64el, mipsel with debug symbols.
    They are too fragile, often failing to build from source.

 -- Drew Parsons <dparsons@debian.org>  Mon, 21 Oct 2019 18:46:59 +0800

mshr (2019.1.0+dfsg1-5) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * relax pybind11 dependency. pybind11 follows semantic versioning,
    so should be backwards compatible with minor and patch version
    updates.

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 19:23:41 +0800

mshr (2019.1.0+dfsg1-4) unstable; urgency=medium

  * build with dh --no-parallel to reduce memory requirements
    (to aid builds on mips,mipsel,ubuntu). Closes: #934244.

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2019 11:14:22 +0800

mshr (2019.1.0+dfsg1-3) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * debian patch build_CGAL_4.14.patch enables build against CGAL 4.14
  * debian/control: remove ancient-python-version-field 3.5

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Aug 2019 17:50:52 +0800

mshr (2019.1.0+dfsg1-2) experimental; urgency=medium

  * update debian/copyright
    - Benjamin Kehlet's dates are 2012-2017
    - acknowledge Joachim B Haga and Lars Magnus Valnes
    - list contributing authors under Files: *
    - mark files licensed under LGPL-3+

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2019 14:11:59 +0800

mshr (2019.1.0+dfsg1-1) experimental; urgency=medium

  * New upstream release (official).

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 23:33:14 +0800

mshr (2019.1.0+dfsg1~2018.1.0-1) experimental; urgency=medium

  * Dummy upstream release using 2018.1.0 code to build against
    dolfin 2019.1.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
    - skip dh_dwz since debug symbols have been switched off
      (since 2018.1.0+dfsg1-5)
  * Include debug symbols if build will be successful, only omit -g for
    arches blacklisted in ARCH_NO_DEBUG_SYMBOLS

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Mar 2019 18:25:51 +0800
