=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mshr
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  python3-all-dev,
  dh-python,
  python3-setuptools,
@@ -13,19 +14,18 @@
  libgmp-dev,
  libcgal-dev (>= 4.13),
  libtet1.5-dev,
- libdolfin-dev (>= 2018.1),
- python3-ffc (>= 2018.1),
+ libdolfin-dev (>= 2019.1),
+ python3-ffc (>= 2019.1),
  python3-numpy,
  python3-petsc4py,
  python3-slepc4py,
  libproj-dev
-Standards-Version: 4.2.1
-X-Python3-Version: >= 3.5
+Standards-Version: 4.5.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/mshr.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/mshr
 
-Package: libmshr2018.1
+Package: libmshr2019.1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -40,7 +40,7 @@
 Package: libmshr-dev
 Section: libdevel
 Architecture: any
-Depends: libmshr2018.1 (= ${binary:Version}),
+Depends: libmshr2019.1 (= ${binary:Version}),
  libdolfin-dev (>= ${fenics:Upstream-Version}),
  python3-ffc (>= ${fenics:Upstream-Version}),
  cmake (>= 2.8.0),
@@ -58,7 +58,7 @@
 Section: python
 Architecture: any
 Depends: libmshr-dev (= ${binary:Version}),
- libmshr2018.1 (= ${binary:Version}),
+ libmshr2019.1 (= ${binary:Version}),
  python3-dolfin (>= ${fenics:Upstream-Version}),
  dolfin-bin (>= ${fenics:Upstream-Version}),
  python3-pybind11 (>= ${pybind11:Upstream-Version}), python3-pybind11 (<< ${pybind11:Next-Upstream-Version}),
