=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 #LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_BUILD_MULTIARCH ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
 MSHR_HOME = $(CURDIR)/$(DEB_SRCDIR)
@@ -24,17 +25,28 @@
 FENICS_VERSION=$(FENICS_MAJOR_VERSION).$(FENICS_MINOR_VERSION)
 FENICS_NEXT_VERSION=$(FENICS_MAJOR_VERSION).$(shell echo $$(( $(FENICS_MINOR_VERSION) + 1 )) )
 
-# dolfin has a strict dependency on the pybind11 version it was built against,
+# dolfin depends on the pybind11 version it was built against,
 # if pybind11.h will be used in C++ code fragments in python scripts.
+# But pybind11 follows semantic versioning, so should have backwards compatibility
+# with minor and patch version updates.
 # Extract pybind11 version from pybind11-dev
 PYBIND11_DEB_VERSION=$(shell dpkg -s pybind11-dev | awk '/Version:/ {print $$2}')
 # extract the current pybind11 version X.Y.Z (drop epoch and debian package version)
 PYBIND11_UPSTREAM_VERSION=$(shell echo $(PYBIND11_DEB_VERSION) | sed "s/^.[^:]*://; s/-[^-]*$$//")
+PYBIND11_X_VERSION=$(shell echo $(PYBIND11_UPSTREAM_VERSION) | sed "s/^\([^.]*\).*/\1/")
 PYBIND11_X_Y_VERSION=$(shell echo $(PYBIND11_UPSTREAM_VERSION) | sed "s/^\(.*\)\.\([^.]*\)$$/\1/")
-PYBIND11_Z_VERSION=$(shell echo $(PYBIND11_UPSTREAM_VERSION) | sed "s/^\(.*\)\.\([^.]*\)$$/\2/")
-PYBIND11_NEXT_UPSTREAM_VERSION=$(PYBIND11_X_Y_VERSION).$(shell echo $$(( $(PYBIND11_Z_VERSION) + 1 )) )
+PYBIND11_VERSION=$(PYBIND11_X_Y_VERSION)
+PYBIND11_NEXT_VERSION=$(shell echo $$(( $(PYBIND11_X_VERSION) + 1 )) )
 
-# strip -g from dpkg-buildflags to reduce memory requirements of the build (needed to build on Debian 32 bit and on ubuntu)
+# some arches (mostly 32 bit) don't provide enough memory to build with debug symbols
+ARCH_NO_DEBUG_SYMBOLS := armhf i386 mips64el mipsel hppa m68k powerpc x32
+ifeq ($(findstring $(DEB_BUILD_ARCH),$(ARCH_NO_DEBUG_SYMBOLS)),)
+  MSHR_BUILDFLAGS := $(shell dpkg-buildflags --get CXXFLAGS )
+else
+# remove -g from build flags on weak arches
+  MSHR_BUILDFLAGS := $(shell dpkg-buildflags --get CXXFLAGS | sed 's/-g //' )
+endif
+
 CMAKE_OPTS := \
 	-D CMAKE_BUILD_TYPE:STRING=Release \
 	-D BUILD_SHARED_LIBS:BOOL=ON \
@@ -44,7 +56,7 @@
 	-D CMAKE_SKIP_RPATH:BOOL=ON \
 	-D CMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=OFF \
 	-D INSTALL_LIB_DIR:PATH=lib/$(DEB_BUILD_MULTIARCH) \
-	-D CMAKE_CXX_FLAGS:STRING="-fpermissive $(shell dpkg-buildflags --get CXXFLAGS | sed 's/-g //' )" \
+	-D CMAKE_CXX_FLAGS:STRING="-fpermissive $(MSHR_BUILDFLAGS)" \
 	$(MSHR_HOME)
 
 ifeq (,$(DISTRIBUTION))
@@ -57,7 +69,8 @@
 
 %:
 	dh $@ --buildsystem=cmake \
-	      --with python3
+	      --with python3 \
+	      --no-parallel
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -78,11 +91,20 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) \
-		-Vpybind11:Upstream-Version=$(PYBIND11_UPSTREAM_VERSION) -Vpybind11:Next-Upstream-Version=$(PYBIND11_NEXT_UPSTREAM_VERSION)
+		-Vpybind11:Upstream-Version=$(PYBIND11_VERSION) -Vpybind11:Next-Upstream-Version=$(PYBIND11_NEXT_VERSION)
 
-# debug symbols (-g) have been switched off in CMAKE_OPTS, so no point building dbgsym packages
+# debug symbols (-g) have been switched off in CMAKE_OPTS for some arches, so no point building dbgsym packages
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	case " $(ARCH_NO_DEBUG_SYMBOLS) " in \
+	    *\ $(DEB_HOST_ARCH)\ *) dh_strip --no-automatic-dbgsym;; \
+	    *) dh_strip;; \
+	esac
+
+override_dh_dwz:
+	case " $(ARCH_NO_DEBUG_SYMBOLS) " in \
+	    *\ $(DEB_HOST_ARCH)\ *) echo "skipping dh_dwz since debug symbols (-g) have been switched off for $(DEB_HOST_ARCH)";; \
+	    *) dh_dwz;; \
+	esac
 
 #override_dh_shlibdeps:
 #	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
