## mshr 2019.2.0~git20200213.8895485+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 project( MSHR )
-set(MSHR_VERSION_RELEASE 1)
+set(MSHR_VERSION_RELEASE 0)
 set(MSHR_VERSION_MAJOR "2019")
-set(MSHR_VERSION_MINOR "1")
+set(MSHR_VERSION_MINOR "2")
 set(MSHR_VERSION_MICRO "0")
 set(MSHR_VERSION "${MSHR_VERSION_MAJOR}.${MSHR_VERSION_MINOR}.${MSHR_VERSION_MICRO}")
 if (NOT MSHR_VERSION_RELEASE)
@@ -91,7 +91,6 @@
 add_definitions("${EXTERNAL_DEFINITIONS}")
 
 find_package(DOLFIN REQUIRED)
-include_directories(${DOLFIN_PYTHON_INCLUDE_DIRS})
 include(${DOLFIN_USE_FILE})
 
 # Set installation directories
@@ -196,8 +195,8 @@
 ### add cmake configuration file ###
 
 # common for both config files
-set(CONF_EXTERNAL_INCLUDE_DIRS "${DOLFIN_PYTHON_INCLUDE_DIRS};${DOLFIN_INCLUDE_DIRS};${DOLFIN_3RD_PARTY_INCLUDE_DIRS}")
-set(CONF_EXTERNAL_LIBRARIES "${DOLFIN_PYTHON_LIBRARIES};${DOLFIN_LIBRARIES};${DOLFIN_3RD_PARTY_LIBRARIES}")
+set(CONF_EXTERNAL_INCLUDE_DIRS "${DOLFIN_INCLUDE_DIRS};${DOLFIN_3RD_PARTY_INCLUDE_DIRS}")
+set(CONF_EXTERNAL_LIBRARIES "${DOLFIN_LIBRARIES};${DOLFIN_3RD_PARTY_LIBRARIES}")
 set(CONF_CXX_DEFINITIONS "${DOLFIN_CXX_DEFINITIONS}")
 string(REPLACE "\"" "\\\"" CONF_CXX_DEFINITIONS "${CONF_CXX_DEFINITIONS}")
 set(CONF_CXX_FLAGS "${DOLFIN_CXX_FLAGS}")
@@ -218,8 +217,8 @@
   "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/mshr-config.cmake" @ONLY)
 
 # Install the FooBarConfig.cmake and FooBarConfigVersion.cmake
-install(FILES "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/mshrConfig.cmake" DESTINATION "${SHARE_DIR}/cmake" COMPONENT dev)
-install(FILES "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/mshr-config.cmake" DESTINATION "${SHARE_DIR}/cmake" COMPONENT dev)
+install(FILES "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/mshrConfig.cmake" DESTINATION "${INSTALL_LIB_DIR}/cmake/mshr" COMPONENT dev)
+install(FILES "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/mshr-config.cmake" DESTINATION "${INSTALL_LIB_DIR}/cmake/mshr" COMPONENT dev)
 #install(FILES "Use-mshr.cmake" DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)
