=== debian/changelog ===
mshr (2019.2.0~git20200213.8895485+dfsg1-2) unstable; urgency=medium

  * python3-mshr Depends: python3-dolfin-real
    (rather than common python3-dolfin)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Aug 2020 01:21:17 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  - applies debian patches:
     build_CGAL_4.14.patch
     build_python.patch
     cmake_config_in_lib.patch
     demos_update.patch
     depython_main_build.patch
     pybind11_register.patch

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 14:41:30 +0800

mshr (2019.2.0~git20190418.010d802+dfsg1-1) experimental; urgency=medium

  * new upstream snapshot (2019.2)
  * Standards-Version: 4.5.0
  * add debian patches:
    - enable_CGAL5_CXX14.patch enables build with CGAL 5
      and builds with C++14 since std::enable_if is required by CGAL 5
    - build_CGAL5.patch updates to CGAL 5 API
    - pybind11_register.patch registers CSGCGALDomain3D::num_holes for
      python module, enabling test-fuzzypointmap.py to pass
      (update test_controls.patch)

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Feb 2020 16:44:38 +0800
