=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mshr
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  python3-all-dev,
  dh-python,
  python3-setuptools,
@@ -14,8 +13,8 @@
  libgmp-dev,
  libcgal-dev (>= 4.13),
  libtet1.5-dev,
- libdolfin-dev (>= 2019.1),
- python3-ffc (>= 2019.1),
+ libdolfin-dev (>= 2019.2),
+ python3-ffc (>= 2019.2),
  python3-numpy,
  python3-petsc4py,
  python3-slepc4py,
@@ -25,7 +24,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/fenics/mshr.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/mshr
 
-Package: libmshr2019.1
+Package: libmshr2019.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -40,7 +39,7 @@
 Package: libmshr-dev
 Section: libdevel
 Architecture: any
-Depends: libmshr2019.1 (= ${binary:Version}),
+Depends: libmshr2019.2 (= ${binary:Version}),
  libdolfin-dev (>= ${fenics:Upstream-Version}),
  python3-ffc (>= ${fenics:Upstream-Version}),
  cmake (>= 2.8.0),
@@ -58,12 +57,12 @@
 Section: python
 Architecture: any
 Depends: libmshr-dev (= ${binary:Version}),
- libmshr2019.1 (= ${binary:Version}),
- python3-dolfin (>= ${fenics:Upstream-Version}),
+ libmshr2019.2 (= ${binary:Version}),
+ python3-dolfin-real (>= ${fenics:Upstream-Version}),
  dolfin-bin (>= ${fenics:Upstream-Version}),
  python3-pybind11 (>= ${pybind11:Upstream-Version}), python3-pybind11 (<< ${pybind11:Next-Upstream-Version}),
  ${python3:Depends},
- ${shlibs:Depends}, 
+ ${shlibs:Depends},
  ${misc:Depends}
 Description: Python 3 interface for mshr
  mshr generates simplicial DOLFIN meshes in 2D and 3D from geometries
