## mshr 2019.2.0~git20200924.c27eb18%2Bdfsg1

=== debian/changelog ===
mshr (2019.2.0~git20200924.c27eb18+dfsg1-7build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:02:23 +0000

mshr (2019.2.0~git20200924.c27eb18+dfsg1-7) unstable; urgency=medium

  * drop PETSC_ARCH from mshr.pth. It is only used for local build
    dirs, not in full installation, and interferes with python
    initialization when PETSc is in the middle of an ABI upgrade.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 22:37:14 +0100

mshr (2019.2.0~git20200924.c27eb18+dfsg1-6) unstable; urgency=medium

  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Oct 2021 21:09:15 +0200

mshr (2019.2.0~git20200924.c27eb18+dfsg1-5) unstable; urgency=medium

  * include PETSC_ARCH in mshr.pth to prevent mshr from interfering
    with new PETSc builds. mshr.pth checks
    $PETSC_DIR/$PETSC_ARCH/include/petscconf.h
  * fix parenthesis in python3-mshr description. Closes: #976011.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Jan 2021 10:55:53 +1100

mshr (2019.2.0~git20200924.c27eb18+dfsg1-4) unstable; urgency=medium

  * fix quotes in i386 test condition.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 03:46:38 +0800

mshr (2019.2.0~git20200924.c27eb18+dfsg1-3) unstable; urgency=medium

  * skip python unit test test-meshes on i386.
    mshr.UnitSphereMesh() hangs on i386. Use mshr.Sphere() instead
    (cf. deathstar demo).  Closes: #974561.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Nov 2020 17:37:30 +0800

mshr (2019.2.0~git20200924.c27eb18+dfsg1-2) unstable; urgency=medium

  * install python modules in /usr/lib/mshr or /usr/lib/mshr64, not
    under PETSC_DIR. mshr does not use PETSc directly, but mshr.pth
    uses $PETSC_DIR/include/petscconf.h to select standard or 64-bit
    build.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Nov 2020 13:37:22 +0800

mshr (2019.2.0~git20200924.c27eb18+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  * mark libmshr-dev-common and libmshr64-dev as Multi-Arch: same

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Oct 2020 00:15:24 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-4) unstable; urgency=medium

  * build against latest dolfin in unstable. Closes: #969635.
  * libmshr-dev-common Replaces, Breaks: libmshr-dev (<< ...-3).
    Closes: #970141.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Sep 2020 02:10:27 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-3) experimental; urgency=medium

  * build 64 bit packages (supporting 64-bit dolfin)
    python3-mshr64, libmshr64-dev, libmshr64-2019.2
    - debian patch lib_rename.patch enables setting of soname to
      mshr64 rather than mshr (setting LIB_NAME_EXT in cmake,
      and MSHR_LIB_NAME_EXT in mshrConfig.cmake for client programs,
      cmake -DMSHR_LIB_NAME_EXT=64 to invoke libmshr64)
      Also uses DOLFIN_LIB_NAME_EXT=64 to link libdolfin64.so
    - place common header files in libmshr-dev-common
    - Build-Depends: libdolfin64-dev (>= 2019.2.0~git20200218.027d9cc-15)
      (to ensure DOLFIN_LIB_NAME_EXT is available)
    - activate 64-bit build with environment variables (see README.Debian)
       PETSC_DIR=/usr/lib/petsc64 SLEPC_DIR=/usr/lib/slepc64
       MSHR_LIB_NAME_EXT=64 DOLFIN_LIB_NAME_EXT=64 

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Aug 2020 07:44:11 +0800
